/*===========================================================================

   SPW Config Dialog

   $ Version 1.0  21/12/94  22:11:21 $

   Copyright 1994 by Marco Savegnago.  All rights reserved.
   This software may be freely distributed and used, but it may not
   under any circumstances be sold by anyone other than the author.
   It may be distributed by a commercial company as long as it is
   for no cost.

===========================================================================*/

#include "confdlg.h"
#include <owl\validate.h>
#include "spw.rh"

DEFINE_RESPONSE_TABLE1(TConfigDialog, TDialog)
  EV_COMMAND(IDC_MATRIX,    HandleMatrixRB),
  EV_COMMAND(IDC_MD2,       HandleMatrixRB),

  EV_CHILD_NOTIFY(IDOK, BN_CLICKED, CmOk),

  END_RESPONSE_TABLE;

TConfigDialog::TConfigDialog(TWindow* parent, int resId, TConfigData* data)
:
    TDialog(parent, resId)
{
    MatrixPassword  =   new TRadioButton(this, IDC_MATRIX);
    MD2Password     =   new TRadioButton(this, IDC_MD2);
    MatrixLen       =   new TEdit(this, IDC_MATRIXLEN, 3);
    PasswordString  =   new TEdit(this, IDC_PASSWORDSTRING, PASSWORD_LEN);
    SendToClipboard =   new TRadioButton(this, IDC_COPYTOCLIPBOARD);

    MatrixLen->SetValidator(new TRangeValidator(1, 32));

    SetTransferBuffer(data);
}

void    TConfigDialog::HandleMatrixRB()
{
    MatrixLen->EnableWindow(BOOL(MatrixPassword->GetCheck() == BF_CHECKED));
}

